#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python-installer
Version		:	0.7.0
Release		:	16.2.0.rel%{?dist}
Summary		:	low-level library for installing a Python package from a wheel distribution

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pypa/installer

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-packaging
BuildRequires	:	python-pyparsing

%if %{with test}
BuildRequires	:	python-pep517
BuildRequires	:	python3-tomli
%endif

Obsoletes	:	python3-%{sname}	<= %{version}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This is a low-level library for installing a Python package
from a wheel distribution. It provides basic functionality
and abstractions for handling wheels and installing packages
from wheels.

    * Logic for "unpacking" a wheel (i.e. installation).
    * Abstractions for various parts of the unpacking process.
    * Extensible simple implementations of the abstractions.
    * Platform-independent Python script wrapper generation.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_scripts/*.py
%{python3_sitelib}/%{sname}/_scripts/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	 -m build					\
	 -wn						\
	--skip-dependency-check				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


PYTHONPATH=src 						\
%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl

# remove windows entrypoint scripts executables
%{__rm}							\
	%{buildroot}%{python3_sitelib}/%{sname}/_scripts/*.exe
#-----------------------------------------------------------------------------
%changelog
